Page MenuHomePhabricator

Add more information to --help option of transfer.py
Closed, ResolvedPublic

Description

The transfer.py is a framework used for database backup and recovery. It lacks information about the parameters to be passed in the --help option. It will be useful for the user if this framework provides the same.

Event Timeline

Privacybatm updated the task description. (Show Details)May 20 2020, 12:59 PM
Privacybatm moved this task from Triage to In progress on the DBA board.

Change 597569 had a related patch set uploaded (by Privacybatm; owner: Privacybatm):
[operations/software/wmfmariadbpy@master] transfer.py: Add information to --help option

https://gerrit.wikimedia.org/r/597569

Very related, the comment T252171#6152787 to make sure before we close a ticket with a new functionality, those are properly documented :-D on wiki and/or --help.

How about writing our document with Sphinx?

How about writing our document with Sphinx?

Just send a patch :-D

Privacybatm added a comment.EditedMay 25 2020, 5:52 AM

Just have a look at our documentation: https://transferpydoc.imfast.io/index.html :-)
(I uploaded it there to just have an easy look)

Change 598295 had a related patch set uploaded (by Privacybatm; owner: Privacybatm):
[operations/software/wmfmariadbpy@master] Write documentation using Sphinx

https://gerrit.wikimedia.org/r/598295

Change 598458 had a related patch set uploaded (by Privacybatm; owner: Privacybatm):
[operations/software/wmfmariadbpy@master] transfer.py: Modularize option_parse function

https://gerrit.wikimedia.org/r/598458

jcrespo moved this task from In progress to GSOC2020 on the DBA board.May 25 2020, 1:48 PM

Change 597569 merged by Jcrespo:
[operations/software/wmfmariadbpy@master] transfer.py: Add information to --help option

https://gerrit.wikimedia.org/r/597569

Change 598458 merged by Jcrespo:
[operations/software/wmfmariadbpy@master] transfer.py: Modularize option_parse function

https://gerrit.wikimedia.org/r/598458

Change 598492 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[integration/config@master] Schedule publishing sphinx documentation for wmfmariadbpy/transfer.py

https://gerrit.wikimedia.org/r/598492

Change 602719 had a related patch set uploaded (by Privacybatm; owner: Privacybatm):
[operations/software/transferpy@master] Write documentation using Sphinx

https://gerrit.wikimedia.org/r/602719

Change 598295 abandoned by Privacybatm:
Write documentation using Sphinx

Reason:
transferpy has moved from wmfmariadbpy project. So, the patch related to transferpy doc also need to be moved. The new patch is available at https://gerrit.wikimedia.org/r/c/operations/software/transferpy/ /602719

https://gerrit.wikimedia.org/r/598295

Change 602719 merged by Jcrespo:
[operations/software/transferpy@master] Write documentation using Sphinx

https://gerrit.wikimedia.org/r/602719

Change 598492 merged by jenkins-bot:
[integration/config@master] Schedule publishing sphinx documentation for transferpy

https://gerrit.wikimedia.org/r/598492

Mentioned in SAL (#wikimedia-releng) [2020-06-19T10:30:24Z] <hashar> Triggering documentation generation for transferpy (T253219): contint2001:~$ zuul enqueue --trigger gerrit --pipeline postmerge --project operations/software/transferpy --change 602719,9

We can close this, but let's remember to keep the help up-to-date with the new features implemented, as well as everything that is currently missing as it has not yet been fully decided.

:-D :-D \o/

We can close this, but let's remember to keep the help up-to-date with the new features implemented, as well as everything that is currently missing as it has not yet been fully decided.

Yup, I will keep a note of it!

jcrespo closed this task as Resolved.Jun 19 2020, 10:48 AM

Something I forgot, although the documentation is now published at https://doc.wikimedia.org/transferpy/ , it is not listed on the main page: https://doc.wikimedia.org/

An entry can be added by editing integration/docroot.git file org/wikimedia/doc/opensource.yaml. I am not sure under which section, maybe Infrastructure?

I will have a look.

Change 607245 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[integration/docroot@master] Add transferpy link to the doc.wikimedia.org homepage (infra)

https://gerrit.wikimedia.org/r/607245

Change 607245 merged by jenkins-bot:
[integration/docroot@master] Add transferpy link to the doc.wikimedia.org homepage (infra)

https://gerrit.wikimedia.org/r/607245

Yeah, the transferpy is now available at https://doc.wikimedia.org/ :-)